%define version    6.11
%define release    20190603
%define rhel_version 6

# define python macros for RHEL6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           redhat-certification-hardware
Summary:        Red Hat Hardware Test Suite
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPLv2+
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Conflicts: rhr-core, rhr-auto, rhr-interact, rhr-crush
Obsoletes: hwcert-client
Requires: redhat-certification-backend >= %{version}
Requires: lmbench, dt, httpd, nfs-utils, stress, gcc
Requires: dbus-python, kernel-devel, kernel-headers, sos
Requires: rfkill
Requires: iw, NetworkManager
Requires: lsscsi, pciutils
Requires: python-requests
BuildRequires: python-devel


%description
Red Hat Hardware Test Suite certifies hardware for Red Hat Enterprise Linux

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20190603 make

%install
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20190603 make install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post

%files
%defattr(-,root,root)
%{?python2_sitelib}/rhcert/suites/hwcert/tests
%{?python2_sitelib}/rhcert/suites/hwcert/hwcert
%{?python2_sitelib}/rhcert/suites/hwcert/__init__.py*

%changelog
* Mon Jun 03 2019 Petersingh Anburaj <panburaj@redhat.com>
- New release branch for 6.11

* Fri May 10 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4754 cannot access cpuscaling.py error messages in the Rhcert WebUI Log window during testing - remove redudant step of making python scripts executable in Makefile

* Thu May 02 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4682 CPUSCALING test failed In RHEL 6.9 HW Certificate  - correct CPU frequency tolerance value & error messages
- Update version to release-6.10-el6

* Tue Apr 02 2019 Aniket Khisti <akhisti@redhat.com>
- Update Veersion to release-6.9-el6

* Fri Mar 22 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4523 [Bug 1676937] 25GigRoCE test fails because commands not found - Add perftest package as dependency in RDMA tests
- update version to release-6.8-el6
- CERTPX-4496 Traceback in core test on el6 - Fix syntax error due to missing semicolon
- CERTPX-4328 Make Clocktest subtest fail immediately on encountering  mismatch between number of CPUs configured vs active. - Ported the change to el6 Change-Id: I18f472af1acbc7da33f3a04eb8e49f0768ae86b9 Signed-off-by: Aniket Khisti <akhisti@redhat.com>

* Fri Mar 22 2019 Ben Rose <brose@redhat.com>
- Revert CERTPX-4328 Make Clocktest subtest fail immediately on encountering  mismatch between number of CPUs configured vs active. - Ported the change to el6 Change-Id: I18f472af1acbc7da33f3a04eb8e49f0768ae86b9 Signed-off-by: Aniket Khisti <akhisti@redhat.com>""
- Revert CERTPX-4496 Traceback in core test on el6""

* Fri Mar 22 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4485 cpuscaling test causing self-check to fail on el6   - Updated the permisisons of cpuscaling.py file as it gets changed during test execution.
- CERTPX-4310 FV image download via proxy   - Ported the proxy support for wget to el6
- New release branch for 6.7

* Fri Feb 08 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4260 Network tcp_lat passes despite no route to host"  - Correct test failure case"

* Thu Jan 31 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2141 cpufreq-selector command not found with cpuscaling test on el6 - Make cpupowerutils a required RPM and use cpupower to set frequency and governor

* Wed Jan 30 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4152 [RHEL6] Cpuscaling test - Warning: test build produced errors  - Use absolute path of executable script in makefile

* Mon Jan 28 2019 Aniket Khisti <akhisti@redhat.com>
- New release branch - release-6.6-el6
- CERTPX-3989 cpuscaling test not running subtests on RHEL 7.6 on X86 - Added warning message in case of cstate subtest failure - Corrected the if-condition whether to continue testing ptest or not

* Thu Jan 24 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4213 Fix typo in python2-requests & python2-devel package name in el6  - replace python2-* by python in rpm specification file
- CERTPX-3989 cpuscaling test not running subtests on RHEL 7.6 on X86  - Make the Cstate sub-test's overall result-status as WARN instead of FAIL if not PASS

* Mon Jan 21 2019 jkinsman <jkinsman@redhat.com>
- CERTPX-2657: Initial attempt to port to modified lmbench behavior to el6.

* Mon Jan 21 2019 Petersingh Anburaj <panburaj@redhat.com>
- New release branch 6.5

* Wed Jan 16 2019 jkinsman <jkinsman@redhat.com>
- Revert CERTPX-2657: Initial attempt to port to el6.""
- CERTPX-2657: Initial attempt to port to el6.

* Wed Dec 19 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3989 cpuscaling test not running subtests on RHEL 7.6 on X86  - wrap the cstate logic in a subtest in RHEL 6 as well

* Wed Dec 12 2018 Ben Rose <brose@redhat.com>
- CERTPX-4025 - Test suite detected device as RoCE when it set as iwarp   Check transport line of output from ibv_devinfo for device   Add qedr driver modules to list for iWarp planning

* Tue Dec 11 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3930 rdma-ndd: unrecognized service error on RHEL6 - Remove rdma-ndd package pertain sub-test

* Mon Dec 10 2018 Petersingh Anburaj <panburaj@redhat.com>
- Created new release branch release-6.4-el6

* Tue Nov 27 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3874 Updated code to have min thread count as 1 for threaded_memtest 	Ported the changes to el6
- Release 6.3

* Tue Nov 13 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3822 Fixed the traceback issue caused as interface were down CERTPX-3796 Ported network relates changes done to fix network issue from el7 to el6
- Release release-6.2-el6

* Fri Oct 26 2018 Ben Rose <brose@redhat.com>
- CERTPX-3822 - traceback with 10GigRoCE test on el6 - handle errors more elegantly

* Thu Oct 25 2018 Ben Rose <brose@redhat.com>
- CERTPX-3803 - Include ipv6 value in search for matching ethernet device for rdma device - fix copy paste error
- CERTPX-3822 - traceback with 10GigRoCE test on el6     - added check for blank or no return for ping so next time it will fail gracefully
- CERTPX-3803 - Include ipv6 value in search for matching ethernet device for rdma device     - Improve readability and consolidate some of the functionality pairing rdma gid w/ ethernet device     - Add ipv6 to values compared with gid for that purpose

* Wed Oct 24 2018 Ben Rose <brose@redhat.com>
- CERTPX-3818 port rdma tests from el7 to el6 code base - missed import statment
- CERTPX-3818 port rdma tests from el7 to el6 code base - stray (

* Wed Oct 24 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3818 port rdma tests from el7 to el6 code base - Ported changes into two files - rdmaConnection.py & rdmaHelper.py - Changed 'Error -' to 'Error:' to hightlight failure as well as to maintain consistency.

* Mon Oct 08 2018 jkinsman <jkinsman@redhat.com>
- release-6.1-el6

* Thu Oct 04 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-2377 Added NVMe test for el6 CERTPX-3578 Create M2_NVMe test for el6 CERTPX-3579 Create U2_NVMe test for el6

* Mon Oct 01 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3664 Fixed exception for hwcert/rdma/Infiniband_QDR test

* Fri Sep 28 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3662 rhcertd stop command displays message - Error: could not stop httpd. The system httpd stop" ['/bin/sh: system: command not found'] - %s/system/service"

* Fri Sep 28 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3576 Added M2 SATA test CERTPX-3577 Added U2 SATA test

* Wed Sep 26 2018 Ben Rose <brose@redhat.com>
- CERTPX-3590 - sosreport and other tests not planning on 6.10 - Adjusted to support class refactoring in rhcert to support python2/3

* Tue Sep 25 2018 Ben Rose <brose@redhat.com>
- update version to 6.0

* Tue Sep 25 2018 jkinsman <jkinsman@redhat.com>
- Fixes Whitespace in HWCERT_VERSION Make variable.

* Tue Sep 25 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3604 Change in design for planning storage test and converting SATA and SAS to base class CERTPX-3220 Resolves the issue with SAS SSD planning CERTPX-3221 Resolves the issue with SATA SSD planning

* Wed Sep 19 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3489 [Hardware Certification] All Storage Tests Are Failing   - Fix as implemented for el7 version   - statements for print

* Mon Sep 17 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-1425 - Have different minimum check frequency tolerance boundaries than other frequency checks - Ported the changes to el6

* Wed Sep 05 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-2163 - Add SSD component into storage test as a subtest CERTPX-3220 - Create SAS SSD storage test CERTPX-3221 - Create SATA SSD storage test

* Thu Aug 30 2018 Ben Rose <brose@redhat.com>
- rev version to 5.18

* Fri Aug 24 2018 Ben Rose <brose@redhat.com>
- CERTPX-3291 - The speed of BCM57454could not reach 75% of the Nominal value((100G)) - set message size to 4m for 50GEthernet and 100GEthernet

* Sun Aug 12 2018 Ben Rose <brose@redhat.com>
- rev to 5.17

* Tue Jul 17 2018 Ben Rose <brose@redhat.com>
- rev version to 5.16

* Tue Jun 26 2018 Aniket Khisti <akhisti@redhat.com>
- Updated version to release-5.15

* Wed Jun 06 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2443: suspend test fails with function keys - correct log messages for suspend and hibernate using OS command   and function keys - Improve the prompt message
- CERTPX-2443: suspend test fails with function keys - correct log messages for suspend and hibernate function keys
- Update the release version

* Thu May 31 2018 Ben Rose <brose@redhat.com>
- CERTPX-2713 - Add another way to detect ip address for device/port besides module being in the net interface name
- CERTPX-2713 - rdma connection test fails if no address files are found matching rdma module.

* Wed May 23 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2588 - In changelog, instead of commiter/uploader name, display author/owner name associated with the commit. - also improved filter to skip merge commits from changelogs

* Mon May 21 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2659 Add automated changelog updates to redhat-certification-hardware

* Tue May 15 2018 Ben Rose <brose@redhat.com>
- CERTPX-2643 - Added back a try/except block I had inadvertently removed as part of merging in the original fix for the issue (cherry picked from commit 3a8704fc2333d6c2207a5dae5738f227c6ded029)

* Mon May 14 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update revision to 5.13

* Fri May 11 2018 Ben Rose <brose@redhat.com>
- update changelog
- CERTPX-2643 - cpuscaling test failing with traceback on some systems Made more resilient with try except blocks and rearranging things just a bit

* Thu May 10 2018 Ben Rose <brose@redhat.com>
- CERTPX-2679 - use one less thread when calculating for memory test

* Wed May 09 2018 Ben Rose <brose@redhat.com>
- CERTPX-2742 - fix traceback for rdma connection test with net device mia from network-scripts

* Tue May 08 2018 Ben Rose <brose@redhat.com>
- CERTPX-2679 - corrected variable reference for memory test

* Fri May 04 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Remove 'sos' as dependency
- CERTPX-2194: Support RHV by fixing fv_storage test - Comment the code for virtio_storage test as SCSI passthrough   is not in certification scope for RHV right now

* Thu May 03 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Do not tag the virtio_storage test with the 'storage' tag   as this test is not required ti run for RHV certification   for now
- Revert CERTPX-1348: Test case not created for FCoE LUN using rhcert-4.x kit for RHEL 6.x OS's" - This is causing a bug CERTPX-2700 This reverts commit 1c2e1da80b6ec2ef6c05f57ae63b7359eb8e656c."
- CERTPX-2194 Support RHV by fixing fv_storage test - Run the tests in guest using the 'storage' tag - Update the version of rhcert to copy rpms from the data image - add 'sos' as dependecy package to run the mandatory sosreport   test in the guest - Rename the test to run storage on guest to 'virtio_storage'

* Wed May 02 2018 Ben Rose <brose@redhat.com>
- CERTPX-2696 - fixed a comment

* Tue May 01 2018 Ben Rose <brose@redhat.com>
- CERTPX-2696 - frequent Memory test failures - threaded_memtest: error: bad memory size 0m
- CERTPX-2679 - update threads and memory to pass into threaded_memtest

* Mon Apr 30 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1348: Test case not created for FCoE LUN using rhcert-4.x kit for RHEL 6.x OS's - Allow storage test to plan on block devices that contain /devices/virtual in their   device path - The rhel7 branch (master) already allows this

* Mon Apr 23 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Add fv_storage test changes to release-5.12-el6 Revert Revert "CERTPX-2194: Support RHV by fixing fv_storage test"""

* Sun Apr 22 2018 Ben Rose <brose@redhat.com>
- rev to 5.12

* Wed Apr 18 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update changelog
- Revert CERTPX-2194: Support RHV by fixing fv_storage test""

* Tue Apr 17 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2656: missing lspci command (pciutils package) causing traceback - Install pciutils as dependency for redhat-certification-hardware   as it is required for planning storage tests
- CERTPX-2194: Support RHV by fixing fv_storage test - Add support for modified hwcertData.img - Add 'lsscsi' package as dependency for installing in the guest VM

* Mon Apr 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Remove the wrongly added arch64 specific attributes for rhel6
- CERTPX-2194: Support RHV by fixing fv_storage test - Add a new VirtualIO storage test to run only on   a virtual block device or a passthrough device assignment - Download the config file for guest XML while planning   any fv test to provide opportunity to partner to edit it   before running the test - Remove unused code for picking up hypervisor

* Mon Apr 16 2018 Ben Rose <brose@redhat.com>
- CERTPX-2549 - use opapmaquery for omnipath rdma node query subtest
- CERTPX-2549 - address false positive of smpquery subtest for rdma
- CERTPX-2549 - rdma - parse ibstatus results attributes whether or not address files are found corresponding to modules

* Thu Apr 05 2018 Ben Rose <brose@redhat.com>
- CERTPX-2634 - update redhat-certification-hardware package to require -backend >= its version

* Wed Apr 04 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-659 rhcert sources reorganization - rhcert.model for xml docs

* Wed Mar 28 2018 Ben Rose <brose@redhat.com>
- rev to 5.11

* Thu Mar 15 2018 Ben Rose <brose@redhat.com>
- CERTPX-2496 - add another way to detect ip address for rdma connection tests

* Tue Mar 13 2018 Ben Rose <brose@redhat.com>
- CERTPX-2425 - add ip addr printout to kdump on nfs output for more efficient verifications
- CERTPX-2496 - add another way to detect correct net device using config scripts for rdma cards

* Fri Mar 09 2018 Ben Rose <brose@redhat.com>
- rev to 5.10

* Tue Mar 06 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2481: RPMDIFF spec file license failure - Changed License from GPL to GPLv2+

* Tue Feb 20 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update release version to 5.9
- Update changelog for hwcert-1.6

* Fri Feb 16 2018 Ben Rose <brose@redhat.com>
- CERTPX-2466 - fix for double planning tests

* Fri Feb 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it - change plan method of generic storage test to check devices planned   as well

* Thu Feb 15 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Added condition to check for controllers that contain both SATA" and "SAS""

* Wed Feb 14 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2469: Traceback with 1GEthernet test - Pass Host class object to LocalTestServer class in network test

* Tue Feb 13 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update changelog and minor fix in script to generate hwcert release version
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Make 'lsscsi' a dependency for redhat-certification-hardware.el6
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Move test tagging to actual test subclasses to not tag the generic storage test with Tags.storage
- Add .gitreview file to el6 codeline

* Mon Feb 12 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - patch for el6 package

* Mon Jan 29 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Updating rev to 5.8 for el6

* Tue Jan 23 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2160: Change storage test to select based off controller and block device,              not just block device - Display controller name for each disk in the user prompt on command line and WUI   to select disk for running the storage test for rhel6

* Tue Jan 09 2018 Ben Rose <brose@redhat.com>
- rev to 5.7

* Tue Dec 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-2238 - use /rhcert-transfer alias in addition to old /store alias for pulling fv files from LTS
- rev to 5.6

* Fri Dec 01 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2158: kdump nfs test should return kdump.conf file to original state For RHEL6 - Before panic dump kdump.conf to a file - After panic read the file and reset the kdump.conf

* Thu Nov 30 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - Add C-state for RHEL6
- Revert CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - Add C-state for RHEL6""

* Mon Nov 27 2017 Ben Rose <brose@redhat.com>
- CERTPX-1890 - add dropdown and reported speed check for usb3 test

* Sat Nov 25 2017 Ben Rose <brose@redhat.com>
- CERTPX-1852 - remove misleading warning messages for rdma tests

* Wed Nov 15 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1964: Port redhat-certification respin versioning logic to hwcert.

* Tue Nov 14 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- Updating rev to 5.5

* Fri Oct 27 2017 Ben Rose <brose@redhat.com>
- rev to 5.4

* Mon Oct 23 2017 Ben Rose <brose@redhat.com>
- updating changelog

* Wed Oct 04 2017 Ben Rose <brose@redhat.com>
- CERTPX-1951 - remove opa-fm from required rpm list for all rdma tests save omnipath

* Tue Oct 03 2017 Ben Rose <brose@redhat.com>
- rev to 5.3

* Tue Oct 03 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1832 implement separate sosreport test for hardware on el6.

* Tue Sep 26 2017 jkinsman <jkinsman@redhat.com>
- Add develop-1.6 to list of branches that should not conform to the feature branch naming conventions.

* Fri Sep 22 2017 Ben Rose <brose@redhat.com>
- CERTPX-1830 unsuccessful rcopy no longer causes failure in subsequent rcopy tests in test run

* Thu Sep 21 2017 Ben Rose <brose@redhat.com>
- CERTPX-1915 - fix error in rdma test that kills Daemon

* Wed Sep 20 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1898: Refactor release string versioning logic to properly version redhat-certification-hardware packages.

* Mon Sep 18 2017 Ben Rose <brose@redhat.com>
- CERTPX-1467 - add pause for smpquery results to come back on LTS and be written out to file
- CERTPX-1467 - enhance output log info and make rcopy test more robust

* Sun Sep 17 2017 Ben Rose <brose@redhat.com>
- CERTPX-1893 allow failure of ping test without bombing out
- CERTPX-1893 - moved rdma connection tests from -preview to -hardware package

* Fri Sep 15 2017 Ben Rose <brose@redhat.com>
- CERTPX-1828 - only pair net devices to the correct port for rdma connection tests

* Thu Sep 14 2017 Ben Rose <brose@redhat.com>
- CERTPX-1564 - give 2 second pause in rpingTest to allow it to finish writing to file in LTS

* Tue Sep 12 2017 Ben Rose <brose@redhat.com>
- CERTPX-1699 - remove fencing tests from codebase
- CERTPX-1828 correct service test for el6
- add rdmaConnection tests to el6 preview package
- rev to 5.2

* Fri Jul 21 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1599: Begin adding support to automate Brew build submission for redhat-certification-hardware.

* Wed Jul 12 2017 Ben Rose <brose@redhat.com>
- rev version to 4.12

* Fri Jul 07 2017 Ben Rose <brose@redhat.com>

* Mon Jul 03 2017 Ben Rose <brose@redhat.com>
- setting Makefile backfor now
- rev to 4.11

* Mon Jul 03 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1380: Port redhat-certification-hardware Jenkins integration to develop-1.6 branch Initial commit; adds new CI directory.
- CERTPX-1452: (Part Three) Remove CI code from redhat-certification-hardware code line.

* Tue Jun 13 2017 Ben Rose <brose@redhat.com>
- Revert saving work""
- saving work

* Tue Jun 06 2017 Ben Rose <brose@redhat.com>
- rev to 4.10
- CERTPX-558 - add device udi to output log for easier identification in review

* Mon May 08 2017 Ben Rose <brose@redhat.com>
- CERTPX-1371 missed import statement on optical disk test

* Sat May 06 2017 Ben Rose <brose@redhat.com>
- CERTPX-1311 - lazy load from directory on fv image rather than data fv every time

* Fri May 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-1371 route stdout to dev/null for disc writing functions

* Thu Apr 27 2017 Ben Rose <brose@redhat.com>
- CERTPX-1311 - remove rhcert and hwcert packages prior to installation in fv guest script

* Wed Apr 19 2017 Ben Rose <brose@redhat.com>
- CERTPX-430 - add 8 and 16 to thread count list for 100GigEthernet test
- CERTPX-1289 - typo correction for lid test
- rev version to 4.8

* Wed Mar 29 2017 Ben Rose <brose@redhat.com>
- CERTPX-245 - bring prompts in line with el7 counterparts for optical tests

* Tue Mar 28 2017 Ben Rose <brose@redhat.com>
- CERTPX-1108 fix file name variables in download section of fv test

* Wed Mar 22 2017 Ben Rose <brose@redhat.com>
- rev to 4.7
- CERTPX-1108 - update fvtest to work with new backwards compatible hwcertData img file
- CERTPX-1108 update fv tests to run rhcert 4.5 without having to update the main image

* Fri Feb 24 2017 Ben Rose <brose@redhat.com>
- CERTPX-1043 add -m to bw_tcp command in 10 and 1GigEthernet tests
- rev version to 4.5
- CERTPX-1043 add -m flag back to bw_tcp command for 20GigEthernet test

* Sat Jan 28 2017 Ben Rose <brose@redhat.com>
- CERTPX-427 - use device ip in ping instead of device name

* Tue Jan 17 2017 Ben Rose <brose@redhat.com>
- CERTPX-679 fix bug in network tests

* Mon Jan 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-586 - add log output for lsusb -t for usb tests
- CERTPX-535 - add message size flag to bw_tcp call for 25GigEthernet test only

* Thu Jan 12 2017 Ben Rose <brose@redhat.com>
- CERTPX-535 - add back 2 and 4 to list of thread counts

* Tue Jan 10 2017 Ben Rose <brose@redhat.com>
- CERTPX-535 - update tcp threads for 25GigEthernet test

* Mon Jan 09 2017 Ben Rose <brose@redhat.com>
- CERTPX-644 - update version to 4.4

* Fri Jan 06 2017 Ben Rose <brose@redhat.com>
- CERTPX-612 remove message size flag from bw_tcp call

* Wed Dec 07 2016 Ben Rose <brose@redhat.com>
- CERTPX-561 - update version to 4.3

* Tue Dec 06 2016 Ben Rose <brose@redhat.com>
- CERTPX-543 - add generic Ethernet test back to -preview

* Mon Nov 21 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-137 memory test error: chmod of memory.py

* Wed Nov 16 2016 Ben Rose <brose@redhat.com>
- remove -information package and stop building

* Tue Nov 15 2016 Ben Rose <brose@redhat.com>
- CERTPX-400 use different thread counts for 100GigEthernet

* Mon Nov 14 2016 Ben Rose <brose@redhat.com>
- CERTPX-470 - fix audio test to plan internal as well as hdmi device tests

* Fri Nov 11 2016 Ben Rose <brose@redhat.com>
- CERTPX-452 fixed issue where tests wouldn't plan on el6 due to obfuscated issue w/ importing

* Mon Nov 07 2016 Ben Rose <brose@redhat.com>
- rev version to 4.2

* Sun Oct 30 2016 Ben Rose <brose@redhat.com>
- CERTPX-327 remove bluetooth test from el6

* Wed Oct 19 2016 Ben Rose <brose@redhat.com>
- CERTPX-389 update %requires for redhat-certification-backend to 4.1

* Mon Oct 17 2016 Ben Rose <brose@redhat.com>
- CERTPX-366 rev version to 4.1
- CERTPX-279 update changelog
- CERTPX-131 - remove confusing fingerprint test related exception from planning log

* Tue Oct 11 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-190 Hardware/info test - kernel version      - use rhcert.tags.TestResult class to combine results values

* Mon Sep 26 2016 Ben Rose <brose@redhat.com>
- CERTPX-140 - fix httpTransferTest on 32bit os with >= 10Gbit connections
- CERTPX-279 - update changelog

* Fri Sep 23 2016 Ben Rose <brose@redhat.com>
- CERTPX-223 properly escape regex
- CERTPX-276 - add fingerprint reader to __init__.py in el6

* Tue Sep 20 2016 Ben Rose <brose@redhat.com>
- CERTPX-121 - Update instructions in lid test
- CERTPX-208 - only run server side bluetooth agent if bluetooth is supported on server

* Thu Sep 15 2016 Ben Rose <brose@redhat.com>
- CERTPX-238 If HWP cpuflag is present then ignore results of minimum test within cpuscaling test

* Wed Sep 14 2016 Ben Rose <brose@redhat.com>
- CERTPX-223 - match on lvm with one or more spaces separating kmin and device name
- CERTPX-248 - rev version to 4.0

* Fri Sep 09 2016 Ben Rose <brose@redhat.com>
- CERTPX-200 update %requires rhc to 2.9

* Fri Sep 02 2016 Ben Rose <brose@redhat.com>
- CERTPX-183 - add bluetooth test to -preview package

* Thu Sep 01 2016 Ben Rose <brose@redhat.com>
- CERTPX-191 - rev version to 1.X.9

* Wed Aug 31 2016 Ben Rose <brose@redhat.com>
- CERTPX-188 - remove call to CheckRHCertPackages in info test because rhcert calls it now in selfcheck

* Fri Aug 26 2016 Ben Rose <brose@redhat.com>
- CERTPX-169 - remove inneffective ifnarch s390x and usbutils from spec.in file

* Sat Aug 20 2016 Ben Rose <brose@redhat.com>
- CERTPX-142 - modify git2changelog.py to run for correct branch and update changelog
- CERTPX-142 - add tools directory with git2changelog.py

* Fri Aug 19 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-139 The latest hwcert testsuite 20160725 doesn't log udev devices for the info test.

* Thu Aug 04 2016 Ben Rose <brose@redhat.com>
- CERTPX-96 check wifi devices from rfkill list all until one found that can be run with iw <device> info
- rev version to 1.6.8

* Fri Jul 29 2016 Ben Rose <brose@redhat.com>
- 1361664 remove preview prefix from 50 and 100 GigE tests

* Thu Jul 21 2016 Ben Rose <brose@redhat.com>
- 1358975 - Utilize rhcert code in info test

* Wed Jul 20 2016 Ben Rose <brose@redhat.com>
- 1358480 - update print statements for info test

* Tue Jul 19 2016 Ben Rose <brose@redhat.com>
- 1304879 - fix test so it doesn't blow up in planning when reader not plugged in

* Mon Jul 18 2016 Ben Rose <brose@redhat.com>
- Revert Revert "remove network directory from preview make file"""
- Revert Revert "1341399 - Move 100GigE and 50GigE to standard -hardware package"""
- rev'ing version to 1.6.7

* Mon Jun 27 2016 Ben Rose <brose@redhat.com>
- 1348333 - cast to int in freq comparison methods

* Tue Jun 21 2016 Ben Rose <brose@redhat.com>
- Revert 1341399 - Move 100GigE and 50GigE to standard -hardware package""
- Revert remove network directory from preview make file""
- 1348705 - update unsupported hardware detection to use the new message structure

* Mon Jun 20 2016 Ben Rose <brose@redhat.com>
- 1348333 - update acceptable window for cpuscaling measurement

* Tue May 31 2016 Ben Rose <brose@redhat.com>
- remove network directory from preview make file
- updated changelog
- 1341399 - Move 100GigE and 50GigE to standard -hardware package

* Thu Apr 14 2016 Ben Rose <brose@redhat.com>
- 1327361 - move 25GigEthernet test to regular test package
- 1327344 - move 20GigEthernet test to regular test package
- Remove temporarily fingerprintreader test in el6 branch due to a strange error importing gi

* Wed Apr 13 2016 Ben Rose <brose@redhat.com>
- 1326856 update kernelInfo w/ wildcard and warning in prep for rhel 6.8

* Tue Mar 15 2016 Ben Rose <brose@redhat.com>
- fix -preview spec template to accomodate building in rhel 6
- 1317942 - Added generic ethernet test to tech preview and fixed path prefixes for 50 and 100G
- 1317938 - add 100GigEthernet test to tech preview
- 1317936 - add 50GigEthernet test to tech preview
- 1317933 - add 25GigEthernet test to tech preview
- 1317931 - refactor ethernetTest into hwcert/ethernet.py, create 20GigEthernet test in techpreview
- 1317925 - update path string on fv_storage
- 1317925 - update Makefile in tests and tests/preview
- 1317925 - update __init__.py in tests and tests/preview
- 1317925 - move fv_storage to tech preview
- 1317912 - update path string for fv_network
- 1317912 - change install location to /suites/hwcertpreview/
- 1317912 - remove preview from list of dirs in base level Makefile for -hardware build and include everything needed to generate -preview package
- 1317912 - update preview Makefile
- 1317912 - update hwcertSpec.py to include preview spec
- 1317912 - add preview spec.in
- 1317912 - temporarily update base level Makefile to ensure Makefile in tests/preview works properly
- 1317912 - add Makefile for tests/preview, containing directory fv_network in list
- 1317912 - Remove fv_network from regular build inclusion

* Wed Feb 24 2016 Ben Rose <brose@redhat.com>
- 1304756 - add docstrings
- 1304756 - fix typo in wlan.py required package list
- 1304756 - update wifi interface detection in el6

* Wed Jan 20 2016 Ben Rose <brose@redhat.com>
- 1291051 - update packages required for fv tests
- Revert Revert "1268630 -  change fv_* tests to use rhcert instead of hwcert-client"""
- 1273002 - add fingerprintreader test

* Wed Dec 16 2015 Ben Rose <brose@redhat.com>
- 1292189 - allow detection of virtual drives so swap can be detected on fv storage test

* Fri Aug 28 2015 Ben Rose <brose@redhat.com>
- 1257995 Wireless test traceback when checking supported types

* Wed Aug 26 2015 Ben Rose <brose@redhat.com>
- 1255158 - correct variable name for better hdmi error message

* Thu Aug 20 2015 Ben Rose <brose@redhat.com>
- fix changelog
- Revert updated changelog""
- 1255158 - Improve error message for disconnected hdmi device

* Wed Aug 19 2015 Ben Rose <brose@redhat.com>
- 1254659 - fixing audio test to display appropriate logical device name
- Revert Revert "updated changelog"""
- Revert Revert "1254653 - Corrected the way realtime systems are detected"""
- Revert Revert "update changelog"""
- Revert Revert "1253661 - rhcert-backend should not require a device name in all cases"""
- Revert 1253661 - rhcert-backend should not require a device name in all cases""
- Revert update changelog""
- Revert 1254653 - Corrected the way realtime systems are detected""

* Tue Aug 18 2015 Ben Rose <brose@redhat.com>
- 1254759 - change to the correct usage of the inhereted prompt function, specifying the answers as answers in the call
- 1254653 - Corrected the way realtime systems are detected

* Tue Aug 18 2015 Greg Nichols <gnichols@redhat.com>
- 1253661 - rhcert-backend should not require a device name in all cases

* Mon Aug 17 2015 Ben Rose <brose@redhat.com>
- 1254311 - ignore error on dvd+rw-format -format=full for bluray test and give 20 more seconds for processes to be done with the drive
- making if block logical for auto mode detection for dvd test

* Thu Aug 13 2015 Ben Rose <brose@redhat.com>
- 1253133 - fix mkfs error and merge legitimate missing changes from el7 branch
- Revert 1248818 - add package requirement for xfsprogs to storage test""

* Wed Aug 12 2015 Greg Nichols <gnichols@redhat.com>
- 1252895 - RHEL6 video test fails: Error: x11 perf did not run

* Tue Aug 11 2015 Ben Rose <brose@redhat.com>
- 1248091 - correct audio test for HDMI cards

* Mon Aug 10 2015 Greg Nichols <gnichols@redhat.com>
- 1252164 - RHEL6 suspend test fails: Error: Could not find log messages in /var/log/messages!

* Sat Aug 08 2015 Ben Rose <brose@redhat.com>
- 1250450 --fix kdump status parsing for el6 and update selection/validation for crash reports for kdump verification

* Thu Jul 30 2015 Ben Rose <brose@redhat.com>
- 1248818 - add package requirement for xfsprogs to storage test
- 1248091 - fix audio test to use device udi passed in because test python objects are evidently reused

* Wed Jul 29 2015 Ben Rose <brose@redhat.com>
- 1248180 - fix broken profiler test in el6 branch

* Tue Jul 21 2015 Ben Rose <brose@redhat.com>
- BZ1053888 include display flag in xdpyinfo call to ensure display is set for the command

* Wed Jul 15 2015 Ben Rose <brose@redhat.com>
- BZ1243539 - update kernelInfo for RHEL6.7 beta so info test passes in testing

* Thu Jun 25 2015 Ben Rose <brose@redhat.com>
- BZ1235473 - use service instead of systemctl

* Thu Jun 18 2015 Ben Rose <brose@redhat.com>
- 1225538 - remove trailing slash from host regex pattern to accomodate for nvme0n1 for example
- BZ1225538 - add nvme to list of discoverable storage hosts

* Mon Jun 08 2015 Ben Rose <brose@redhat.com>
- BZ1227927 - remove virt-install from dependencies for fvtest as it is now included in libvirt-python

* Tue May 26 2015 Ben Rose <brose@redhat.com>
- BZ1214867 - fix bug introduced by fix where it caused rhcert server start command to fail silently

* Tue May 12 2015 Ben Rose <brose@redhat.com>
- BZ1213198 - add mmc to list of discoverable hosts in storage test
- 1214867 - allow manual tests with specified device to work with storage test
- BZ1217607 - prefer complete product name matches to partial left to right matches

* Fri May 08 2015 Ben Rose <brose@redhat.com>
- BZ1219868 - update kernelInfo.xml
- fix mistake in resolving merge conflicts
- Revert change -info package to redhat-certification-information""
- Revert 1196392 - redhat-certification-information should obselete hwcert-client-info""
- BZ1204951 - rework
- changelog update
- BZ1204951 - run operf instead of opcontrol for aarch64 (ARM)
- [trello-J9VZHtnK] add obsoletes for hwcert-client to rhc-hardware spec
- [trell0-22AOd2Ud] - Fix realtime test to be twelve hours despite value in /etc/rteval.conf
- updated changelog for rhc-hardware
- [trello-7EjOvEgK] only check realtime MRG product in RHEL < 7
- [trello-MRwAFEzM] fix UnboundLocalError by defining return value in specific circumstance
- [trello-PQ4QSvSu] - remove runtime RPM requirement of ibm-prtm for IBM systems
- trello-ffPKpd8F - add back fv tests
- [trello-Wl4udKal] missed change from self.debug to self.getDebug()
- [trello-Wl4udKal] copy code change from v7 f45ce914bdea8e1ce397106635f06c2a7a4eb3db
- [BZ1172135] - fix typo in if statement
- [BZ1172135] Added acceptable infiniband drivers
- [Trello-CcdoCfE4] - Port change from v7 9f605bb53f0731a3aba904b7eea504a5ceb1306b

* Fri May 08 2015 Greg Nichols <gnichols@redhat.com>
- 1197205 - hardware tests run with debug regardless of settings
- 1196392 - redhat-certification-information should obselete hwcert-client-info
- 1196820 - traceback on manual test planning
- 1195965 - suspend test is disabled
- 1195830 - lid test lacks instructions when run in the web UI
- 1195734 - fv_network test fails http transfer test - can not find IP address seen by server
- 1193981 - kdump nfs test fails on attempt to restart kdump.
- 1193594 - kdump test traceback - no Name attribute
- 1193223 - FEAT: re-introduce kdump test
- changelog
- remove server warnings about selinux
- 1192823 - fv_network test does not find tests labeled network on guest run
- 1192542 - Failed fv tests reported as passing
- fix no test found errors on fv tests
- new tool for checking data image
- network tests fail bw_tcp sub-test
- Change fv tests to check the local server URL /store/transfer/fv-images for images.
- change fv tests to use rhcert on guest\n\nThis requires an data image with redhat-certification, redhat-certification-hardware, and redhat-certification-infomation packages
- change fv_* tests to call hwcert-backend rather than rhcert-backend when writing guest scripts
- update comments
- change -info package to redhat-certification-information

* Fri May 08 2015 Guangze Bai <gbai@redhat.com>
- 1151351 - Fix to use getName method

* Thu Dec 18 2014 Greg Nichols <gnichols@redhat.com>
- replace self.Name with self.getPath in Test classes

* Thu Dec 18 2014 Ben Rose <brose@redhat.com>
- TR-GXFdn61w - temporarily remove fv and kdump tests

* Tue Nov 25 2014 Greg Nichols <gnichols@redhat.com>
- fix manual add

* Tue Nov 25 2014 Guangze Bai <gbai@redhat.com>
- 975372 - handle exception that guest console log is not saved

* Thu Nov 06 2014 Greg Nichols <gnichols@redhat.com>
- 1156204 - RHEL 6.6: hwcert server fails status check during network test

* Wed Nov 05 2014 Greg Nichols <gnichols@redhat.com>
- * Wed Nov 05 2014 Greg Nichols <gnichols@redhat.com>
- fix info test failures in verifying test suite package

* Tue Nov 04 2014 Greg Nichols <gnichols@redhat.com>
- name change to redhat-certification-hardware and version to 1.6.6

* Wed Oct 08 2014 Greg Nichols <gnichols@redhat.com>
- rhcert-client to redhat-certification

* Thu Sep 25 2014 Greg Nichols <gnichols@redhat.com>
- 1144584 - virtualization tests don't start

* Fri Sep 12 2014 Greg Nichols <gnichols@redhat.com>
- changlog
- fix traceback re: outputDirectory

* Mon Sep 08 2014 Greg Nichols <gnichols@redhat.com>
- remove requires for -info release
- fix for web UI --mode
- fix traceback on self.mediaChoice

* Wed Sep 03 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback in hardwareTest.finish
- fix build/devel/dist dirs
- fix version stamping
- update for rhcert 0.2 suite loading changes

* Sat Aug 09 2014 Greg Nichols <gnichols@redhat.com>
- fix getGAKernel trace-back
- fix porting bugs
- fix python version
- fix python version again
- fix python version to 2.6

* Fri Aug 08 2014 Greg Nichols <gnichols@redhat.com>
- fix build dir
- port 1.6 tests to rhcert

* Tue Aug 05 2014 Greg Nichols <gnichols@redhat.com>
- port hwcert-1.6 to rhcert

* Thu Jul 31 2014 Greg Nichols <gnichols@redhat.com>
- port tests from 1.6.5.2

* Fri Jul 11 2014 Greg Nichols <gnichols@redhat.com>
- set to RHEL6

* Wed Jul 02 2014 Greg Nichols <gnichols@redhat.com>
- disable test for now
- change to use getDebug() method
- remove core.py from test build

* Thu Jun 26 2014 Greg Nichols <gnichols@redhat.com>
- fix return values to True/False
- fix build

* Wed Jun 25 2014 Greg Nichols <gnichols@redhat.com>
- fix version path
- change return values from 1/0 to False/True

* Mon Jun 23 2014 Greg Nichols <gnichols@redhat.com>
- move install to python/site-packages

* Thu Jun 19 2014 Greg Nichols <gnichols@redhat.com>
- fix device logging via finish method
- add device logging in finish

* Wed Jun 18 2014 Greg Nichols <gnichols@redhat.com>
- bug fixes

* Fri Jun 13 2014 Greg Nichols <gnichols@redhat.com>
- patch updates from 1.7.0.1-20140611

* Thu Jun 12 2014 Greg Nichols <gnichols@redhat.com>
- 1095993
- 1084578-Audio-HDMI-test-failed-with-Error-aplay-comm

* Tue Jun 03 2014 Greg Nichols <gnichols@redhat.com>
- HDMI audio
- build script
- fix kernelinfo for info test
- change from iwconfig to iw via rhcert.wireless
- Change version to 1.7.0.5

* Tue Jun 03 2014 Guangze Bai <gbai@redhat.com>
- 1095993 - Fix regex for NIC name with letter and digit interleaved
- 1098059 - fix a typo from video.py

* Mon Jun 02 2014 Greg Nichols <gnichols@redhat.com>
- 1094510 - Kdump nfs test fail on RH7 RC2 build OS with GA of test kit

* Fri May 30 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm - missing info test

* Thu May 29 2014 Greg Nichols <gnichols@redhat.com>
- move to version 1.7.0.1

* Fri May 16 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm building
- initial checkin



